# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/HomeDir.pm) perl(File/Spec/Functions.pm) perl(File/Util.pm) perl(Git/Repository.pm) perl(IO/File.pm) perl(Log/Log4perl.pm) perl(YAML/Any.pm)
# END SourceDeps(oneline)
%define module_name Git-Demo
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: A way for scripting git demonstrations
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RC/RCL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Allows playback of a Git story (a sequence of file modifications and git actions
by various characters) to demonstrate the capabilities of Git

Perhaps a little code snippet.

    use Git::Demo;
    ...
    my $demo = Git::Demo->new( $conf );
    $demo->play();

%prep
%setup -q -n %{module_name}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/G*

%changelog
* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

